Subject: Re: [ANNOUNCE] Git v2.5.0-rc0

From: Jeff King <[email-masked]>
Date: Fri, 26 Jun 2015 07:20:41 -0400

On Fri, Jun 26, 2015 at 09:36:04AM +0000, [email-masked] wrote:

> Jeff / Duy,
> 
> > Fixes since v2.4
> >  * Access to objects in repositories that borrow from another one on a
> >    slow NFS server unnecessarily got more expensive due to recent code
> >    becoming more cautious in a naive way not to lose objects to pruning.
> >    (merge ee1c6c3 jk/prune-mtime later to maint).
> > 
> >  * "Have we lost a race with competing repack?" check was too
> >    expensive, especially while receiving a huge object transfer
> >    that runs index-pack (e.g. "clone" or "fetch").
> >    (merge 0eeb077 jk/index-pack-reduce-recheck later to maint).
> 
> I was reading through the 2.5 release notes and spotted the above two
> entries and I think they are probably fixes related to the NFS
> slowness I reported last month.

Yep, especially the latter one.

> Did some tests this morning and things are much improved:
> 
> Version 2.4.5
>   - Local clone of https://github.com/git/git - 8s
>   - Clone to NFS - 1m 3s
> 
> Version 2.5.0.rc0
>   - Local - 7s
>   - NFS - 13s
> 
> Thanks for the effort in addressing this and sorry I missed the patch to check it out earlier.

No problem, and thanks for the original report. It gave me plenty to
replicate the problem locally, so I felt pretty good about the changes
even without a final test from you. :)

-Peff